Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
CompactConfig..::.FillPercentage Property
CompactConfig Class See Also Send Feedback

If non-zero, this provides the goal for filling pages, specified as a percentage between 1 and 100. Any page not at or above this percentage full will be considered for compaction. The default behavior is to consider every page for compaction, regardless of its page fill percentage.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#
    public uint FillPercentage { get; set; }

Visual Basic (Declaration)
    Public Property FillPercentage As UInteger

Visual C++
    public:
    property unsigned int FillPercentage {
    	unsigned int get ();
    	void set (unsigned int value);
    }

# See Also

CompactConfig Class
BerkeleyDB Namespace